### Virtual Method

# Soup WebsocketExtension configure

#### Declaration [src]

    gboolean
    configure (
      SoupWebsocketExtension* extension,
      SoupWebsocketConnectionType connection_type,
      GHashTable* params,
      GError** error
    )

#### Description [src]

Configures `extension` with the given `params`.

#### Parameters

`connection_type`

  Type: `SoupWebsocketConnectionType`

  Either `SOUP_WEBSOCKET_CONNECTION_CLIENT` or `SOUP_WEBSOCKET_CONNECTION_SERVER`.

`params`

  Type: `GHashTable`

  The parameters.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if extension could be configured with the given parameters, or `FALSE` otherwise.